%define deb pdfsam-community_%{version}.RELEASE-1_all.deb

Summary:	Simple tool to split and merge PDF files
Summary(de):	Einfaches Werkzeug zum Aufteilen und Zusammenfügen von PDF-Dateien
Name:		pdfsam
Version:	3.2.5
Release:	%mkrel 1
Source0:	pdfsam-community_%{version}.RELEASE-1_all.deb
License:	GPL v2
Group:		Office
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
URL:		http://www.pdfsam.org/
Requires: java-1.8.0-sun

%description
pdfsam basic is a simple tool designed to split and merge pdf files. 
It’s very simple, stable and completely free. It should cover most of 
your needs. With it’s simple and intuitive interface you can:

* split your pdf documents (into chapters, single pages, etc.).
* merge many pdf documents or subsections of them.
* extract sections of your document into a single pdf document.
* mix alternate pages taken from two pdf documents in straight 
  or reverse order into a single document.
* rotate pages of the selected pdf documents.
* visually reorder pages of a selected pdf document.
* visually compose a document dragging pages from selected pdf documents.
* save and load your environment to automatize your recurrent jobs.
* manage pdfsam settings and set an environment to load at start up.

Basic version is free and you can download and simply use it on every 
platform with a Java support.

%description -l de
pdfsam basic ist ein einfaches Werkzeug zum Aufteilen und Zusammenfügen
von PDF-Dateien. Es ist sehr einfach, stabil und ganzlich frei. Es sollte
die meisten Ihrer Bedürfnisse abdecken. Mit dem einfachen und intuitiven
Benutzerinterface können Sie:

* PDF-Dokument aufteilen (in Kapitel, einzelne Seiten, etc.)
* viele PDF-Dokumente oder Unterbereiche von ihnen zusammenfügen
* Bereiche Ihres Dokuments in ein einzelnes Dokument extrahieren
* Seiten eines PDF-Dokuments drehen
* Seiten neu sortieren
* eine PDF-Dokument aus mehreren zusammenziehen
* speicher und laden Ihrer Einstellungen zum Automatisieren von
  Aufgaben
* die Einstellungen von pdfsam verwalten

Die Basisversion ist frei und Sie können das Programm auf jeder Plattform
benutzen, die Java unterstützt.

%prep
%setup -T -n %{name} -c

%build

%install
rm -rf %buildroot
mkdir -p %buildroot
ar p $RPM_SOURCE_DIR/%{deb} data.tar.gz | tar zx  -C %buildroot

%files
/opt/pdfsam-basic/LICENSE.txt
/opt/pdfsam-basic/bin/pdfsam-basic
/opt/pdfsam-basic/etc/logback.xml
/opt/pdfsam-basic/icon.svg
/opt/pdfsam-basic/pdfsam-community-3.2.5.RELEASE.jar
/opt/pdfsam-basic/resources/DEPENDENCIES
/opt/pdfsam-basic/resources/splash.gif
%{_bindir}/pdfsam
%{_datadir}/applications/pdfsam-basic.desktop
%{_datadir}/doc/pdfsam-basic/changelog.Debian.gz
%{_datadir}/doc/pdfsam-basic/copyright

%changelog
* Mon Jan 07 2017 bb <bb> 3.2.5-1pclos2017
- update

* Tue Apr 07 2015 bb <bb> 2.2.4-2pclos2015
- fixed java dependency

* Sun Jul 13 2014 ghostbunny <ghostbunny at gmx dot de> 2.2.4-1pclos2014
- 2.2.4


